Kerbal Space Program - Bug #5039

Game crashes on staging
05/24/2015 08:55 PM - Darkas

Status: Closed Start date: 05/24/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

| have a craft that makes the game crash as soon as | stage. I've built a minimal version and attached it. If | remove any part, the
crash does not occur. Also, it seems to only crash with this precise decoupler, but the fuel tanks above and below are exchangeable,
there just needs to be any part. The crash happens every time on my system, | removed all mods and tested it on a newly created
save.

History

#1 - 05/25/2015 08:55 PM - SoulWager

- Status changed from New to Need More Info

The craft file you uploaded crashes on staging, but a brand new identical craft does not.
Looking at the craft files, it looks like the service bay is incorrectly attached to the probecore. Deleting and placing a new probecore(of the same
model) fixed the craft you uploaded.

deleting this offending line from the service bay section of your .craft also fixes it:
attN = top2,probeCoreOcto2_4294605656

So there's some kind of VAB bug that attaches things incorrectly, any idea how to reproduce that?

#2 - 07/07/2015 11:52 AM - JohnSwede
- File Probe _em Mké.craft added

Darkas wrote:

| have a craft that makes the game crash as soon as | stage. I've built a minimal version and attached it. If | remove any part, the crash does not
occur. Also, it seems to only crash with this precise decoupler, but the fuel tanks above and below are exchangeable, there just needs to be any
part. The crash happens every time on my system, | removed all mods and tested it on a newly created save.

Ditto. I'm running v1.0.4 on OSX, and the weirdest thing is that in my case, it's the presence of an octagonal strut that causes the game to crash on
staging? Minimal craft attached. As for your question on how to reproduce this... No idea, I'm afraid!

Edit:

| saw this interesting thing when editing the craft:

Screenshot 2015-07-07 14.01.11.png

There is no lower attachment point on the lower face of the octagonal strut?!

N
#3 - 07/07/2015 12:39 PM - Squelch
JohnSwede wrote:

Ditto. I'm running v1.0.4 on OSX, and the weirdest thing is that in my case, it's the presence of an octagonal strut that causes the game to crash
on staging? Minimal craft attached. As for your question on how to reproduce this... No idea, I'm afraid!

Edit:

| saw this interesting thing when editing the craft:
There is no lower attachment point on the lower face of the octagonal strut?!
Are you able to reproduce this in a stock game? The craft you supply is modded so can't be used in stock which is all we can deal with on this tracker.

#4 - 07/07/2015 12:58 PM - Squelch

Darkas, it would be appreciated if you could please recreate the crashing craft, and upload that new copy along with your log file. This will enable us
to identify where the errant attachment is being introduced.

Could you also confirm that you are mod free, and not using the debug clipping override which is known to introduce bugs?

The steps you take during the build of the craft are also important to know. For example, do you use the offset gizmo? Any and all steps that are
required to build a copy of the craft are of most use.

To confirm. The craft does not crash on Windows, but the attachment problem is observed. No log errors for the craft.

#5 - 07/17/2016 09:30 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#6 - 08/10/2016 08:08 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files
Auto-Saved Ship.craft 5.77 KB 05/24/2015 Darkas
Probe _em Mk6.craft 29.1 KB 07/07/2015 JohnSwede
